# Uses of Interface
org.opensaml.soap.soap11.Detail

Packages that use Detail
Package
Description
org.opensaml.soap.soap11
XMLObject interfaces for SOAP 1.1 elements.
org.opensaml.soap.soap11.impl
Provided implementations of the SOAP 1.1 XMLObject interfaces.

## Uses of Detail in org.opensaml.soap.soap11

Methods in org.opensaml.soap.soap11 that return Detail
Modifier and Type
Method
Description
`Detail`
Fault.`getDetail()`
Gets details of this fault.
Methods in org.opensaml.soap.soap11 with parameters of type Detail
Modifier and Type
Method
Description
`void`
Fault.`setDetail(Detail newDetail)`
Sets details of this fault.

## Uses of Detail in org.opensaml.soap.soap11.impl

Classes in org.opensaml.soap.soap11.impl that implement Detail
Modifier and Type
Class
Description
`class`
`DetailImpl`
Concrete implementation of `Detail`.
Fields in org.opensaml.soap.soap11.impl declared as Detail
Modifier and Type
Field
Description
`private Detail`
FaultImpl.`detail`
Details of the fault.
Methods in org.opensaml.soap.soap11.impl that return Detail
Modifier and Type
Method
Description
`Detail`
DetailBuilder.`buildObject()`
Creates an envelope object with the default SOAP 1.1 namespace, prefix and "Detail" as the element local name.
`Detail`
DetailBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.
`Detail`
FaultImpl.`getDetail()`
Gets details of this fault.
Methods in org.opensaml.soap.soap11.impl with parameters of type Detail
Modifier and Type
Method
Description
`void`
FaultImpl.`setDetail(Detail newDetail)`
Sets details of this fault.